~motumedia/libav/packaging-trunk

« back to all changes in this revision

Viewing changes to patches/openjpeg.patch

  • Committer: Rico Tzschichholz
  • Date: 2015-05-12 05:37:12 UTC
  • Revision ID: ricotz@ubuntu.com-20150512053712-tphjidjvvph7hiq1
Merge with 6:11.3-3

Show diffs side-by-side

added added

removed removed

Lines of Context:
1
 
From aa807425395caa17a85ed2833133278e8bd44a76 Mon Sep 17 00:00:00 2001
2
 
From: Luca Barbato <lu_zero@gentoo.org>
3
 
Date: Wed, 12 Mar 2014 09:30:07 +0000
4
 
Subject: [PATCH] configure: Support older version of openjpeg1
5
 
 
6
 
It should work best for debian stable and people not installing the .pc
7
 
file.
8
 
---
9
 
 configure |    3 ++-
10
 
 1 file changed, 2 insertions(+), 1 deletion(-)
11
 
 
12
 
--- a/configure
13
 
+++ b/configure
14
 
@@ -3938,7 +3938,8 @@ enabled libmp3lame        && require "li
15
 
 enabled libopencore_amrnb && require libopencore_amrnb opencore-amrnb/interf_dec.h Decoder_Interface_init -lopencore-amrnb
16
 
 enabled libopencore_amrwb && require libopencore_amrwb opencore-amrwb/dec_if.h D_IF_init -lopencore-amrwb
17
 
 enabled libopencv         && require_pkg_config opencv opencv/cv.h cvCreateImageHeader
18
 
-enabled libopenjpeg       && require_pkg_config libopenjpeg1 openjpeg.h opj_version
19
 
+enabled libopenjpeg       && { { check_header openjpeg.h && check_lib2 openjpeg.h opj_version -lopenjpeg; } ||
20
 
+                               { require_pkg_config libopenjpeg1 openjpeg.h opj_version; } }
21
 
 enabled libopus           && require_pkg_config opus opus_multistream.h opus_multistream_decoder_create
22
 
 enabled libpulse          && require_pkg_config libpulse-simple pulse/simple.h pa_simple_new
23
 
 enabled librtmp           && require_pkg_config librtmp librtmp/rtmp.h RTMP_Socket